package ppos

//paramsSale 公共参数：应用id、账号类型、账号id、公司、中心、场馆门店、营业点
type paramsSale struct {
	paramsBusiness
}

func (that *paramsSale) CreateMpApi(params ...interface{}) error {
	that.init()
	if _err := that.paramsBusiness.CreateMpApi(params...); _err != nil {
		return _err
	}
	_slice := []string{
		"stadium_id", //场馆/门店id
		"sales_id",   //营业点id
	}
	for _, _v := range _slice {
		if that.paramsMp.Has(_v) {
			that.postionMp.Set("stadium_id", that.paramsMp.Get("stadium_id"))
		}
	}
	//
	return nil
}
